import { z } from "zod/v4";
import { CreateCustomerInvoiceRequestSchema } from "../../../common/dto";

export const CustomerInvoiceItemDataFormSchema = CreateCustomerInvoiceRequestSchema.extend({
  subtotal_price: z.object({
    amount: z.number().nullable(),
    scale: z.number(),
    currency_code: z.string(),
  }),
  discount: z.object({
    amount: z.number().nullable(),
    scale: z.number(),
  }),
  discount_price: z.object({
    amount: z.number().nullable(),
    scale: z.number(),
    currency_code: z.string(),
  }),
  before_tax_price: z.object({
    amount: z.number().nullable(),
    scale: z.number(),
    currency_code: z.string(),
  }),
  tax: z.object({
    amount: z.number().nullable(),
    scale: z.number(),
  }),
  tax_price: z.object({
    amount: z.number().nullable(),
    scale: z.number(),
    currency_code: z.string(),
  }),
  total_price: z.object({
    amount: z.number().nullable(),
    scale: z.number(),
    currency_code: z.string(),
  }),
});

export type CustomerInvoiceData = {};
